Bug 702209

Summary: Review Request: apache-commons-vfs2 - Provides a single API for accessing various different file systems
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: Package ReviewAssignee: Spike <SpikeFedora>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, mizdebsk, notting, SpikeFedora
Target Milestone: ---Flags: SpikeFedora: fedora‑review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-29 10:34:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 736626    

Description Orion Poplawski 2011-05-05 00:52:53 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/apache-commons-vfs.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/apache-commons-vfs-1.0-1.fc15.src.rpm
Description:
Commons VFS provides a single API for accessing various different file
systems. It presents a uniform view of the files from various different
sources, such as the files on local disk, on an HTTP server, or inside a
Zip archive.

Some of the features of Commons VFS are:

* A single consistent API for accessing files of different types.
* Support for numerous file system types .
* Caching of file information. Caches information in-JVM, and optionally can
  cache remote file information on the local file system.
* Event delivery.
* Support for logical file systems made up of files from various different
  file systems.
* Utilities for integrating Commons VFS into applications, such as a VFS-aware
  ClassLoader and URLStreamHandlerFactory.
* A set of VFS-enabled Ant tasks
Comment 1 Orion Poplawski 2011-05-31 13:27:07 EDT
http://www.cora.nwra.com/~orion/fedora/apache-commons-vfs.spec
http://www.cora.nwra.com/~orion/fedora/apache-commons-vfs-1.0-2.fc15.src.rpm

* Tue May 31 2011 Orion Poplawski <orion@cora.nwra.com> 1.0-2
- Use pom.xml from upstream svn
Comment 2 Spike 2011-06-03 06:10:23 EDT
I'll take this one
Comment 3 Spike 2011-06-03 06:40:52 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
apache-commons-vfs.src:90: W: macro-in-comment %check
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Not nice, but not a problem.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : f0b83b33ed4dd891231a47d474caa6e1
MD5SUM upstream package: f0b83b33ed4dd891231a47d474caa6e1
[!]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_to_maven_depmap call which resolves to the pom file (use "JPP." and "JPP-" correctly)

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[x]  Package uses %update_maven_depmap in %post/%postun
[x]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-i386


=== Issues ===
1. Javadoc subpackage is missing the license file
2. BuildRequires: The BRs seem rather random to me. For example, http://commons.apache.org/vfs/download.html doesn't list commons-compress while it does list a few other that you missed.

=== Final Notes ===
1. Usually, apache-commons-* provide a symlink to commons-* for the jar file and the javadoc dir. Have a look at the other apache-commons spec files for examples.
2. Please inform upstream about their failing test (as they seem to fail with vanilla ant and maven, too)
3. Please drop the apache-commons-parent require. It's only meant to be used as BR (since it pulls a lot of maven stuff which obviously a no-go for non-build environments)
Comment 4 Orion Poplawski 2011-10-11 14:00:02 EDT
http://www.cora.nwra.com/~orion/fedora/apache-commons-vfs2.spec
http://www.cora.nwra.com/~orion/fedora/apache-commons-vfs2-2.0-1.fc15.src.rpm

* Tue Oct 11 2011 Orion Poplawski <orion@cora.nwra.com> 2.0-1
- Update to 2.0
- Cleanup requires

* Fri Jun 3 2011 Orion Poplawski <orion@cora.nwra.com> 1.0-3
- Add license to javadoc package

FYI - commons-compress is needed for the build, but I removed it from Requires.
Comment 5 Spike 2011-10-11 14:11:57 EDT
(In reply to comment #4)
> http://www.cora.nwra.com/~orion/fedora/apache-commons-vfs2.spec

The link to the updated specfile is dead.
Comment 6 Orion Poplawski 2011-10-11 14:15:51 EDT
Whoops, forgot to rename the spec.  Should be there now.
Comment 7 Mikolaj Izdebski 2012-07-29 10:34:45 EDT
Commons VFS 2.0 is already in Fedora, so I'm closing this review.

*** This bug has been marked as a duplicate of bug 821712 ***